const { dialogflow, SimpleResponse,BasicCard, Carousel, BrowseCarousel,
    BrowseCarouselItem, Image, Item, List, Suggestions } = require('actions-on-google');
const request = require('sync-request');

exports.action = (conv) => {


    conv.ask('aqui estão:');

    // Create a browse carousel
    conv.ask(new BrowseCarousel({
        items: [
            new BrowseCarouselItem({
                title: 'Bacharelado em Agronomia',
                url: 'https://portal.ifro.edu.br/ariquemes/cursos/4183-engenharia-agronomica',
                description: 'Carga Horária: 4.500 horas  \n'
                            +'Vagas: 40  \n'
                            +'Duração: 5 a 10 anos  \n',

                image: new Image({
                url: "https://upload.wikimedia.org/wikipedia/commons/f/f5/Agro_logo.png",
                alt: 'imagem agronomia',
                }),
                footer: 'INTEGRAL',
            }),
            new BrowseCarouselItem({
                title: 'Licenciatura em Ciências Biológicas',
                url: 'https://portal.ifro.edu.br/ariquemes/cursos/1979-ciencias-biologicas-licenciatura',
                description: 'Carga Horária: 3.338 horas  \n'
                            +'Vagas: 40  \n'
                            +'Duração: 8 à 16 Semestres  \n',
                image: new Image({
                url: 'https://learn.studyhubb.com/wp-content/uploads/group-avatars/1/5aaf20be9f4dd-bpfull.png',
                alt: 'logo biologia',
                }),
                footer: 'NOTURNO',
            }),
            new BrowseCarouselItem({
                title: 'Técnico em Agropecuária',
                url: 'https://portal.ifro.edu.br/ariquemes/cursos/1983-tecnico-em-agropecuaria-integrado',
                description: 'Carga Horária: 3.792 horas  \n'
                            +'Vagas: 80  \n'
                            +'Duração: 3 a 6 anos  \n',
                image: new Image({
                    url: 'https://ifrs.edu.br/ibiruba/wp-content/uploads/sites/4/2017/12/logo.png',
                    alt: 'logo agropecuaria',
                }),
                footer: 'INTEGRAL',
            }),
            new BrowseCarouselItem({
                title: 'Técnico em Alimentos',
                url: 'https://portal.ifro.edu.br/ariquemes/cursos/1985-tecnico-em-alimentos-integrado',
                description: 'Carga Horária: 3.407 horas  \n'
                            +'Vagas: 80  \n'
                            +'Duração: 3 a 6 anos  \n',
                image: new Image({
                    url: 'http://ingresso.ifc.edu.br/wp-content/uploads/sites/6/2014/04/TIntegrado-Alimentos-1-e1475872981484-300x233.png',
                    alt: 'logo alimentos',
                }),
                footer: 'INTEGRAL',
            }),
            new BrowseCarouselItem({
                title: 'Técnico em Manutenção e Suporte em Informática',
                url: 'https://portal.ifro.edu.br/ariquemes/cursos/1987-tecnico-em-suporte-e-manutencao-em-informatica-integrado',
                description: 'Carga Horária: 3.400 horas  \n'
                            +'Vagas: 80  \n'
                            +'Duração: 3 a 6 anos  \n',
                image: new Image({
                    url: 'https://ifrs.edu.br/ibiruba/wp-content/uploads/sites/4/2017/12/logo-1.png',
                    alt: 'logo informatica',
                }),
                footer: 'MATUTINO E VESPERTINO',
            }),
            new BrowseCarouselItem({
                title: 'Técnico em Aquicultura',
                url: 'https://portal.ifro.edu.br/ariquemes/cursos/1981-tecnico-em-aquicultura-subsequente',
                description: 'Carga Horária: 1.100 horas  \n'
                            +'Vagas: 40  \n'
                            +'Duração: 3 a 6 Semestres  \n',
                image: new Image({
                    url: 'http://foz.ifpr.edu.br/wp-content/uploads/2015/05/Logo-Aquicultura.png',
                    alt: 'logo aquicultura',
                }),
                footer: 'NOTURNO',
            }),
        ],
    }));

}
